%define name      openbox
%define version   3.6.1
%define release   %mkrel 2
%define title     Openbox
%define summary   Windowmanager based on the original blackbox-code

%define major 2
%define libname %mklibname %name %major


Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Group:		Graphical desktop/Openbox
License:	BSD
URL:		http://openbox.org/wiki/Openbox:Download
Source:		%name-%version.tar.xz
Patch0:          01_rc.xml.dpatch
Patch1:          openbox-default-theme.patch

BuildRequires:	glib2-devel
BuildRequires:	glibc-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:  %{_lib}imlib2_1
BuildRequires:  %{_lib}startup-notification-1_0
BuildRequires:  pango
BuildRequires:  %{_lib}xcursor1
BuildRequires:	%{_lib}xcursor-devel
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}xrandr2-devel
BuildRequires:  %{_lib}xinerama-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}sm-devel
BuildRequires:  %{_lib}ice-devel
BuildRequires:  %{_lib}xau-devel
BuildRequires:  %{_lib}xft-devel
BuildRequires:  gettext-devel
BuildRequires:	pkgconfig
BuildRequires:	imlib2-devel
BuildRequires:	librsvg-devel
BuildRequires:	%{_lib}startup-notification-1-devel
Requires:	xsetroot
Requires:	%{libname}
Obsoletes:	%{name}-3.5.0
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

#german
%description -l de
Openbox ist ein Fenster-Manager für die X11-Fenstersystem. 
Es läuft derzeit auf eine große Liste der Plattformen. Es war ursprünglich 
basiert auf Blackbox und derzeit noch sehr ähnlich, sogar mit 
Blackbox Styles (mit den verfügbaren Erweiterungen) für die Thematisierung. 

Openbox ist die von einer Reihe früherer blackbox Benutzer spawn / Hacker. 
Sein insgesamt mit den Fenster-Manager gerne, aber das Gefühl nicht verlassen 
Beitrag zu leisten, ist dieses Projekt wurde born.The Openbox Projekt entwickelt wurde, 
verwaltet, und von diesen Personen beigetragen.

%package -n %libname
Summary: 	Libraries from openbox
Group: 		Graphical desktop/Openbox
Provides: 	lib%{name} = %{version}-%{release}

%description -n %libname
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package -n %libname-devel
Summary: 	Development files from openbox
Group: 		Graphical desktop/Openbox
Requires: 	%libname = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%release
Provides: 	%{name}-devel = %{version}-%release

%description -n %libname-devel
Openbox is a window manager for the X11 windowing system.
It currently runs on a large list of platforms. It was originally
based on blackbox and currently remains very similar, even using
blackbox styles (with available extensions) for its themeing.

Openbox is the spawn of a number of previous blackbox users/hackers.
Being overall pleased with the window manager, but feeling left unable
to contribute, this project was born.The Openbox project is developed,
maintained, and contributed to by these individuals.

%package i10n
Summary: 	Translations for openbox
Group: 		Graphical desktop/Openbox
Requires: 	%{name}

%description i10n
Translations for openbox

%package doc
Summary: 	Documentation for openbox
Group: 		Graphical desktop/Openbox
Requires: 	%{name}

%description doc
Documentation for openbox

%prep
%setup -q
%patch0 -p0
%patch1 -p0

autoreconf

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"

%configure2_5x --enable-xinerama --disable-rpath --disable-static

%make DEFAULT_MENU=%{_sysconfdir}/xdg/openbox/menu.xml

%install
%__rm -rf %buildroot

%makeinstall_std

# session file
%__mkdir -p %buildroot%{_sysconfdir}/X11/wmsession.d
%__cat > %buildroot%{_sysconfdir}/X11/wmsession.d/25openbox << EOF
NAME=Openbox
ICON=%{_datadir}/pixmaps/openbox.png
EXEC=%{_bindir}/startopenbox
DESC=%{summary}
SCRIPT:
exec %{_bindir}/startopenbox
EOF

%__cat > %buildroot%{_sysconfdir}/X11/wmsession.d/27openbox-kde << EOF
NAME=Openbox-KDE
ICON=%{_datadir}/pixmaps/openbox.png
EXEC=%{_bindir}/openbox-kde-session
DESC=%{summary}
SCRIPT:
exec %{_bindir}/openbox-kde-session
EOF

%__cat > %buildroot%{_sysconfdir}/X11/wmsession.d/28openbox-gnome << EOF
NAME=Openbox-Gnome
ICON=%{_datadir}/pixmaps/openbox.png
EXEC=%{_bindir}/openbox-gnome-session
DESC=%{summary}
SCRIPT:
exec %{_bindir}/openbox-gnome-session
EOF

%__mkdir -p %buildroot%{_bindir}
cat > %buildroot%{_bindir}/start%{name} <<EOF
%{_bindir}/xsetroot -solid Black
exec %{_bindir}/openbox-session
EOF

#drop this
rm -f %buildroot/%{_libdir}/*.la

%find_lang %{name}

%post
%make_session

%postun
%make_session

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/25%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/27%{name}-kde
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/28%{name}-gnome
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/*
%{_datadir}/gnome/wm-properties/*
%{_datadir}/pixmaps/*
%{_datadir}/themes/*
%exclude %{_datadir}/xsessions/*
%{_datadir}/applications/openbox.desktop
%{_datadir}/gnome-session/sessions/openbox-gnome*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libexecdir}/%{name}-xdg-autostart
%{_libexecdir}/%{name}-autostart
%{_libdir}/libobrender.so.32*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%_includedir/%{name}

%files i10n -f %{name}.lang
%defattr(-,root,root)

%files doc
%defattr(-,root,root)
%{_datadir}/man/*
%{_datadir}/doc/%{name}/*

%changelog
* Tue Apr 23 2019 tex - 3.6.1-2pclos2019
- rebuild against updates

* Fri Jan 29 2016 bb <bb> 3.6.1-1pclos2016
- update

* Thu Jun 04 2015 ghostbunny <ghostbunny at gmx dot de> 3.6-1pclos2015
- 3.6
- remove patch2 applied upstream
- remove unsupported configure option --enable-kde
- add BRs imlib2-devel libstartup-notification-1-devel librsvg-devel

* Wed Apr 17 2013 Texstar <texstar at gmail.com> 3.5.0-8pclos2013
- fix dependency

